package com.bsoft.api.controller;

import com.bsoft.api.common.Result;
import com.bsoft.api.common.annotations.Token;
import com.bsoft.api.model.SerDiseaseDocRs;
import com.bsoft.api.model.reqmodel.DiseaseDoc;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "疾病与医生关系信息Api")
@RestController
public class SerDiseaseDocController {

    @PostMapping("diseaseDoc")
    @Token
    @ApiOperation("根据疾病名称查询疾病信息")
    public  Object getDiseaseDoc(@RequestBody DiseaseDoc disease) throws InterruptedException {
        return Result.success(new SerDiseaseDocRs());
    }
}
